Loading...
Searching...
No Matches
COMPS_DocGroup properties getters

## Functions

COMPS_Object * | comps_docgroup_get_id (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_name (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_desc (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_def (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_uservisible (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_biarchonly (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_display_order (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_langonly (COMPS_DocGroup *group)

## Detailed Description

## Function Documentation

## comps_docgroup_get_biarchonly()

COMPS_Object * comps_docgroup_get_biarchonly | ( | COMPS_DocGroup * | group | ) |

COMPS_DocGroup biarchonly getter

Parameters

  obj | COMPS_DocGroup object

Returns
  COMPS_Num object representing group biarchonly with incremented reference count

## comps_docgroup_get_def()

COMPS_Object * comps_docgroup_get_def | ( | COMPS_DocGroup * | group | ) |

COMPS_DocGroup default getter

Parameters

  obj | COMPS_DocGroup object

Returns
  COMPS_Num object representing group default with incremented reference count

## comps_docgroup_get_desc()

COMPS_Object * comps_docgroup_get_desc | ( | COMPS_DocGroup * | group | ) |

COMPS_DocGroup description getter

Parameters

  obj | COMPS_DocGroup object

Returns
  COMPS_Str object representing group description with incremented reference count

## comps_docgroup_get_display_order()

COMPS_Object * comps_docgroup_get_display_order | ( | COMPS_DocGroup * | group | ) |

COMPS_DocGroup display_order getter

Parameters

  obj | COMPS_DocGroup object

Returns
  COMPS_Num object representing group display_order with incremented reference count

## comps_docgroup_get_id()

COMPS_Object * comps_docgroup_get_id | ( | COMPS_DocGroup * | group | ) |

COMPS_DocGroup id getter

Parameters

  obj | COMPS_DocGroup object

Returns
  COMPS_Str object representing group id with incremented reference count

## comps_docgroup_get_langonly()

COMPS_Object * comps_docgroup_get_langonly | ( | COMPS_DocGroup * | group | ) |

COMPS_DocGroup langonly getter

Parameters

  obj | COMPS_DocGroup object

Returns
  COMPS_Str object representing group langonly with incremented reference count

## comps_docgroup_get_name()

COMPS_Object * comps_docgroup_get_name | ( | COMPS_DocGroup * | group | ) |

COMPS_DocGroup name getter

Parameters

  obj | COMPS_DocGroup object

Returns
  COMPS_Str object representing group name with incremented reference count

## comps_docgroup_get_uservisible()

COMPS_Object * comps_docgroup_get_uservisible | ( | COMPS_DocGroup * | group | ) |

COMPS_DocGroup uservisible getter

Parameters

  obj | COMPS_DocGroup object

Returns
  COMPS_Num object representing group uservisible with incremented reference count